Object subclass: #DataFileReader
    instanceVariableNames: ''
    classVariableNames: ''
    poolDictionaries: ''
    category: 'Jim-Utils'

readFile: fileName
    | inStream outStream list |
    inStream := CrLfFileStream readOnlyFileNamed: fileName.
    outStream := FileStream newFileNamed: fileName, '.out'.
    [inStream atEnd] whileFalse: [
        list := self parseNextLine: inStream.
        self output: list onStream: outStream.
    ].

output: list onStream: outStream
    "Output insert statement."
    outStream nextPutAll: 'insert into table values (
    '''.
    list do: [ :col |
        outStream nextPutAll: col
    ] separatedBy: [
        outStream nextPutAll: ''',
    '''.
    ].
    outStream nextPutAll: '''
)
'.

parseNextLine: aStream
    "Read columns in line and shove into list. Return list."
    | list line lineStream |
    list := OrderedCollection new. "Create empty list."
    line := aStream nextLine. "Read line from input file."

    "Read columns in line and shove into list."
    lineStream := ReadStream on: line from: 1 to: line size.
    [lineStream atEnd] whileFalse: [
        list add: (lineStream upTo: $,).
    ].
    ^ list
